Package org.kapott.hbci.sepa.jaxb.pain_008_001_10

## Class ClearingSystemMemberIdentification2

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.pain_008_001_10.ClearingSystemMemberIdentification2

    public class ClearingSystemMemberIdentification2
    extends java.lang.Object

Java class for ClearingSystemMemberIdentification2 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ClearingSystemMemberIdentification2">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="ClrSysId" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.001.10}ClearingSystemIdentification2Choice" minOccurs="0"/>
             <element name="MmbId" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.001.10}Max35Text"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected ClearingSystemIdentification2Choice` `clrSysId`
`protected java.lang.String` `mmbId`

### Constructor Summary

Constructors
`ClearingSystemMemberIdentification2()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ClearingSystemIdentification2Choice` `getClrSysId()` Gets the value of the clrSysId property.
`java.lang.String` `getMmbId()` Gets the value of the mmbId property.
`void` `setClrSysId​(ClearingSystemIdentification2Choice value)` Sets the value of the clrSysId property.
`void` `setMmbId​(java.lang.String value)` Sets the value of the mmbId property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### clrSysId

    protected ClearingSystemIdentification2Choice clrSysId

#### mmbId

    protected java.lang.String mmbId

### Constructor Detail

#### ClearingSystemMemberIdentification2

    public ClearingSystemMemberIdentification2()

### Method Detail

#### getClrSysId

    public ClearingSystemIdentification2Choice getClrSysId()

Gets the value of the clrSysId property.

Returns:
  possible object is `ClearingSystemIdentification2Choice`

#### setClrSysId

    public void setClrSysId​(ClearingSystemIdentification2Choice value)

Sets the value of the clrSysId property.

Parameters:
  `value` - allowed object is `ClearingSystemIdentification2Choice`

#### getMmbId

    public java.lang.String getMmbId()

Gets the value of the mmbId property.

Returns:
  possible object is `String`

#### setMmbId

    public void setMmbId​(java.lang.String value)

Sets the value of the mmbId property.

Parameters:
  `value` - allowed object is `String`